include	clib.inc
include	stdio.inc
include	wchar.inc

DPROC	@wcputf		; void *, int lsize, int max, char *frm, ...
	mov	es,dx   ; DX:BX, CH, CL, AX, SP
	mov	dx,ax
	call	@vsbufin
	mov	dx,ds
	mov	ax,offset _bufin
	call	@wcputs
	ret
PEND	@wcputf

	END
